Package com.databricks.jdbc.api.impl

## Class ColumnarRowView

- java.lang.Object
- - com.databricks.jdbc.api.impl.ColumnarRowView

    public class ColumnarRowView
    extends Object

Memory-efficient columnar view that provides row-based access without materializing all rows. Instead of creating List<List

### Constructor Summary

Constructors
`ColumnarRowView​(TRowSet rowSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumnCount()` Gets the number of columns in this view.
`int` `getRowCount()` Gets the number of rows in this view.
`Object` `getValue​(int rowIndex, int columnIndex)` Gets the value at the specified row and column without materializing the entire row.
`Object[]` `materializeRow​(int rowIndex)` Creates a materialized row only when explicitly requested (for backward compatibility).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnarRowView

    public ColumnarRowView​(TRowSet rowSet)
                    throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### Method Detail

#### getRowCount

    public int getRowCount()

Gets the number of rows in this view.

#### getColumnCount

    public int getColumnCount()

Gets the number of columns in this view.

#### getValue

    public Object getValue​(int rowIndex,
                           int columnIndex)
                    throws DatabricksSQLException

Gets the value at the specified row and column without materializing the entire row.

Throws:
  `DatabricksSQLException`

#### materializeRow

    public Object[] materializeRow​(int rowIndex)
                            throws DatabricksSQLException

Creates a materialized row only when explicitly requested (for backward compatibility). This should be avoided in performance-critical paths.

Throws:
  `DatabricksSQLException`